Length-prefixed framing for byte streams. Similar to Tokio's codec module or Ogg.

Structures:

- Framer - Takes datagrams and returns a byte stream.
- Deframer - Takes a byte stream and returns datagrams.
- Multiplexer - Takes multiple byte streams and returns one byte stream.
- Demultiplexer - Takes one byte stream and returns multiple byte streams.
- MultiFramer - A convenience wrapper around Framers and a Multiplexer, which takes datagrams of multiple streams and returns one byte stream.
- DeMultiFramer - A convenience wrapper around Deframers and a Demultiplexer, which takes one byte stream and returns datagrams of multiple streams.

# Links

- https://crates.io/crates/libframing
- https://six-five-six-four.com/git/reactor/libframing
